﻿body {
    font-family:Arial;

}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none;   /* Chrome/Safari/Opera */
  -khtml-user-select: none;    /* Konqueror */
  -moz-user-select: none;      /* Firefox */
  -ms-user-select: none;       /* Internet Explorer/Edge */
  user-select: none;           /* Non-prefixed version, currently
                                  not supported by any browser */

}



#scaleview {
    position: absolute;
    top: 0;
    left: 0;
    transform-origin: top left;
    -webkit-transform-origin: top left;
    -moz-transform-origin: top left;
    -o-transform-origin: top left;
    -ms-transform-origin: top left;
    overflow:hidden;
    color:white;
 
}

.view-container {

position:absolute;
left:0;
top:0;
bottom:0;
display:block;
right:1000px;


}

.fill {
position:absolute;
top:0;
left:0;
right:0;
bottom:0;
display:block;

}

.grad {
/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#000000+0,000000+100&0.65+0,0+100;Neutral+Density */
background-image: -moz-linear-gradient(top,  rgba(0,0,0,0.65) 0%, rgba(0,0,0,0) 100%); /* FF3.6-15 */
background-image: -webkit-linear-gradient(top,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* Chrome10-25,Safari5.1-6 */
background-image: linear-gradient(to bottom,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6000000', endColorstr='#00000000',GradientType=0 ); /* IE6-9 */

}

.view{
  position: absolute;
  top: 0;
  width: 100%;
  /*transition: 1000ms;*/
}

/*ng-view.ng-enter {
    animation: slideInRight 0.5s both ease-in;
    z-index: 8888;
}
ng-view.ng-leave {
    animation: slideOutLeft 0.5s both ease-in;
    z-index: 9999;
}



@keyframes slideOutLeft {
    to      { transform: translateX(-100%); }
}



@keyframes slideInRight {
    from    { transform:translateX(100%); }
    to      { transform: translateX(0); }
}*/


.footer{
    display:block;
    position:absolute;
    bottom:0px;
    left:0;
    right:0;
    padding:10px;
    height:100px;
}

.content {
position:absolute;

top:90px;
bottom:100px;
left:0;
right:0;
display:block;
padding:10px;
}

.header{
    position:absolute;
    top:0px;
    left:0;
    right:0;
    padding:10px;
    height:90px;
    text-align:center;
    font-size:30px;
}

.button:active {
  background-color:#404040;
}

.button {



padding:10px 15px;

text-transform:uppercase;
font-size:25px;
text-align:center;
border-radius:0px;
background-color:rgba(240, 240, 250, 0.10);
display:block; margin:10px 5px;
border:solid 1px rgba(255, 255, 255, 0.71);
color:white;
}

.pin-text{
    font-size:15px;
    text-align:center;
    font-weight:bold;
    line-height:55px;
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
}
.pin-num{
    font-size:25px;
    line-height:55px;
    text-align:center;
    font-weight:bold;
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
}
/*.pin-button {
    position:relative;
display:inline-block;
border-radius:0px;
background-color:rgba(240, 240, 250, 0.10);
margin:5px 5px;
border:solid 1px rgba(255, 255, 255, 0.71);
color:white;
width:65px;
height:55px;
}


.pin-button:active {
  background-color:#404040;
}*/


.deadbutton {
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#000000+0,000000+100&0.65+0,0+100;Neutral+Density */
background: -moz-radial-gradient(center, ellipse cover,  rgba(0,0,0,0.65) 0%, rgba(0,0,0,0) 100%); /* FF3.6-15 */
background: -webkit-radial-gradient(center, ellipse cover,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* Chrome10-25,Safari5.1-6 */
background: radial-gradient(ellipse at center,  rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a6000000', endColorstr='#00000000',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */

}


.menu {
    
    color:yellow;
display:block;
background-color:blue;
}




.balance {
     font-size: 25px;
    /*border-bottom: solid 3px rgba(35, 35, 246, 0.79);
       border-top: solid 3px rgba(35, 35, 246, 0.79);*/
    background-color: rgba(72, 72, 72, 0.40);
    border-radius:8px;
    color: white;
    display: block;
    margin: 10px 5px;
    
    text-align:center;
    font-family:Verdana;
}

    .balance .title {
        color: white;
        display: block;
        padding:5px;
        font-size:20px;
    }
.balance .display {
    border:solid 1px silver;
    background-color: rgba(72, 72, 72, 0.20);
    color: #FFA000;
    display: block;
    margin:0px 15px;
    padding:6px 0px;
}
.balance .action {
    color: white;
    display: block;
    padding: 0px 8px 15px 8px;
}
    .balance .action .button {
        font-size:20px;
        margin:0px 5px;
        margin-top:10px;
    }


.debug-odd {
background-color:silver;

}

.debug-even {
background-color:white;

}

.debug-button {
width:90%;
margin:3px;
display:inline-block;

}

.debug-overlay {
display:block;
position:absolute;
right:0;
top:0;
bottom:0;

width:1000px;
}

#debug {
    background-color:#404040;
    position:relative;
    width:200px;
height:100%;
display:block;

}


.cell {
    position:relative;
    height:100%;
    
}




.edit-view .selected {

background-color:blue;
color:white;

}


.edit-view .tab.active {
    background-color:silver;
}
.edit-view .tab {
    display: inline-block;
    padding: 5px;
    border: outset 2px;
    border-bottom: none;
    background-color: rgba(192, 192, 192, 0.42);
}


.pre {
 display: block;
    font-family: monospace;
    white-space: pre;
    margin: 1em 0;
}